var GlobalErrorHandler = function () {
    var lastError = null;
    var errorPrefix = "[SeaLights Build Scanner] - Failed due to an error. Last error: ";
    return {
        setLastError: function (e) {
            lastError = e;
        },

        hasErrors: function () {
            return lastError !== null;
        },

        printLastError: function () {
            console.log(errorPrefix + lastError);
        }
    }
};
module.exports = GlobalErrorHandler();